Variant (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Variant

Package com.sun.jna.platform.win32

# Interface Variant

All Known Implementing Classes:
  `TlbAbstractMethod`, `TlbFunctionDispId`, `TlbFunctionStub`, `TlbFunctionVTable`, `TlbPropertyGet`, `TlbPropertyGetStub`, `TlbPropertyPut`, `TlbPropertyPutStub`

public interface Variant

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `Variant.VARIANT`
  `static class`
  `Variant.VariantArg`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final OaIdl.VARIANT_BOOL`
  `VARIANT_FALSE`
  `static final OaIdl.VARIANT_BOOL`
  `VARIANT_TRUE`
  `static final int`
  `VT_ARRAY`
  `static final int`
  `VT_BLOB`
  `static final int`
  `VT_BLOB_OBJECT`
  `static final int`
  `VT_BOOL`
  `static final int`
  `VT_BSTR`
  `static final int`
  `VT_BSTR_BLOB`
  `static final int`
  `VT_BYREF`
  `static final int`
  `VT_CARRAY`
  `static final int`
  `VT_CF`
  `static final int`
  `VT_CLSID`
  `static final int`
  `VT_CY`
  `static final int`
  `VT_DATE`
  `static final int`
  `VT_DECIMAL`
  `static final int`
  `VT_DISPATCH`
  `static final int`
  `VT_EMPTY`
  `static final int`
  `VT_ERROR`
  `static final int`
  `VT_FILETIME`
  `static final int`
  `VT_HRESULT`
  `static final int`
  `VT_I1`
  `static final int`
  `VT_I2`
  `static final int`
  `VT_I4`
  `static final int`
  `VT_I8`
  `static final int`
  `VT_ILLEGAL`
  `static final int`
  `VT_ILLEGALMASKED`
  `static final int`
  `VT_INT`
  `static final int`
  `VT_INT_PTR`
  `static final int`
  `VT_LPSTR`
  `static final int`
  `VT_LPWSTR`
  `static final int`
  `VT_NULL`
  `static final int`
  `VT_PTR`
  `static final int`
  `VT_R4`
  `static final int`
  `VT_R8`
  `static final int`
  `VT_RECORD`
  `static final int`
  `VT_RESERVED`
  `static final int`
  `VT_SAFEARRAY`
  `static final int`
  `VT_STORAGE`
  `static final int`
  `VT_STORED_OBJECT`
  `static final int`
  `VT_STREAM`
  `static final int`
  `VT_STREAMED_OBJECT`
  `static final int`
  `VT_TYPEMASK`
  `static final int`
  `VT_UI1`
  `static final int`
  `VT_UI2`
  `static final int`
  `VT_UI4`
  `static final int`
  `VT_UI8`
  `static final int`
  `VT_UINT`
  `static final int`
  `VT_UINT_PTR`
  `static final int`
  `VT_UNKNOWN`
  `static final int`
  `VT_USERDEFINED`
  `static final int`
  `VT_VARIANT`
  `static final int`
  `VT_VECTOR`
  `static final int`
  `VT_VERSIONED_STREAM`
  `static final int`
  `VT_VOID`

- ## Field Details

  - ### VT_EMPTY

    static final int VT_EMPTY
    See Also:
      - Constant Field Values

  - ### VT_NULL

    static final int VT_NULL
    See Also:
      - Constant Field Values

  - ### VT_I2

    static final int VT_I2
    See Also:
      - Constant Field Values

  - ### VT_I4

    static final int VT_I4
    See Also:
      - Constant Field Values

  - ### VT_R4

    static final int VT_R4
    See Also:
      - Constant Field Values

  - ### VT_R8

    static final int VT_R8
    See Also:
      - Constant Field Values

  - ### VT_CY

    static final int VT_CY
    See Also:
      - Constant Field Values

  - ### VT_DATE

    static final int VT_DATE
    See Also:
      - Constant Field Values

  - ### VT_BSTR

    static final int VT_BSTR
    See Also:
      - Constant Field Values

  - ### VT_DISPATCH

    static final int VT_DISPATCH
    See Also:
      - Constant Field Values

  - ### VT_ERROR

    static final int VT_ERROR
    See Also:
      - Constant Field Values

  - ### VT_BOOL

    static final int VT_BOOL
    See Also:
      - Constant Field Values

  - ### VT_VARIANT

    static final int VT_VARIANT
    See Also:
      - Constant Field Values

  - ### VT_UNKNOWN

    static final int VT_UNKNOWN
    See Also:
      - Constant Field Values

  - ### VT_DECIMAL

    static final int VT_DECIMAL
    See Also:
      - Constant Field Values

  - ### VT_I1

    static final int VT_I1
    See Also:
      - Constant Field Values

  - ### VT_UI1

    static final int VT_UI1
    See Also:
      - Constant Field Values

  - ### VT_UI2

    static final int VT_UI2
    See Also:
      - Constant Field Values

  - ### VT_UI4

    static final int VT_UI4
    See Also:
      - Constant Field Values

  - ### VT_I8

    static final int VT_I8
    See Also:
      - Constant Field Values

  - ### VT_UI8

    static final int VT_UI8
    See Also:
      - Constant Field Values

  - ### VT_INT

    static final int VT_INT
    See Also:
      - Constant Field Values

  - ### VT_UINT

    static final int VT_UINT
    See Also:
      - Constant Field Values

  - ### VT_VOID

    static final int VT_VOID
    See Also:
      - Constant Field Values

  - ### VT_HRESULT

    static final int VT_HRESULT
    See Also:
      - Constant Field Values

  - ### VT_PTR

    static final int VT_PTR
    See Also:
      - Constant Field Values

  - ### VT_SAFEARRAY

    static final int VT_SAFEARRAY
    See Also:
      - Constant Field Values

  - ### VT_CARRAY

    static final int VT_CARRAY
    See Also:
      - Constant Field Values

  - ### VT_USERDEFINED

    static final int VT_USERDEFINED
    See Also:
      - Constant Field Values

  - ### VT_LPSTR

    static final int VT_LPSTR
    See Also:
      - Constant Field Values

  - ### VT_LPWSTR

    static final int VT_LPWSTR
    See Also:
      - Constant Field Values

  - ### VT_RECORD

    static final int VT_RECORD
    See Also:
      - Constant Field Values

  - ### VT_INT_PTR

    static final int VT_INT_PTR
    See Also:
      - Constant Field Values

  - ### VT_UINT_PTR

    static final int VT_UINT_PTR
    See Also:
      - Constant Field Values

  - ### VT_FILETIME

    static final int VT_FILETIME
    See Also:
      - Constant Field Values

  - ### VT_BLOB

    static final int VT_BLOB
    See Also:
      - Constant Field Values

  - ### VT_STREAM

    static final int VT_STREAM
    See Also:
      - Constant Field Values

  - ### VT_STORAGE

    static final int VT_STORAGE
    See Also:
      - Constant Field Values

  - ### VT_STREAMED_OBJECT

    static final int VT_STREAMED_OBJECT
    See Also:
      - Constant Field Values

  - ### VT_STORED_OBJECT

    static final int VT_STORED_OBJECT
    See Also:
      - Constant Field Values

  - ### VT_BLOB_OBJECT

    static final int VT_BLOB_OBJECT
    See Also:
      - Constant Field Values

  - ### VT_CF

    static final int VT_CF
    See Also:
      - Constant Field Values

  - ### VT_CLSID

    static final int VT_CLSID
    See Also:
      - Constant Field Values

  - ### VT_VERSIONED_STREAM

    static final int VT_VERSIONED_STREAM
    See Also:
      - Constant Field Values

  - ### VT_BSTR_BLOB

    static final int VT_BSTR_BLOB
    See Also:
      - Constant Field Values

  - ### VT_VECTOR

    static final int VT_VECTOR
    See Also:
      - Constant Field Values

  - ### VT_ARRAY

    static final int VT_ARRAY
    See Also:
      - Constant Field Values

  - ### VT_BYREF

    static final int VT_BYREF
    See Also:
      - Constant Field Values

  - ### VT_RESERVED

    static final int VT_RESERVED
    See Also:
      - Constant Field Values

  - ### VT_ILLEGAL

    static final int VT_ILLEGAL
    See Also:
      - Constant Field Values

  - ### VT_ILLEGALMASKED

    static final int VT_ILLEGALMASKED
    See Also:
      - Constant Field Values

  - ### VT_TYPEMASK

    static final int VT_TYPEMASK
    See Also:
      - Constant Field Values

  - ### VARIANT_TRUE

    static final OaIdl.VARIANT_BOOL VARIANT_TRUE

  - ### VARIANT_FALSE

    static final OaIdl.VARIANT_BOOL VARIANT_FALSE